# Getting Dimensions

Endpoint: GET /dimensions
Version: v3.0: 3.30.0
Security: Auth API User Token

## Query parameters:

  - `PageNumber` (integer)
    Page Number for the result set.

This is expected to be an integer value greater than 0. Defaults to 1 when not passed in.

For more information see the Getting Started Section for Pagination.

  - `PageSize` (integer)
    Page Size
- Default page size: 100 
- Max page size: 500

This is expected to be an integer value greater than 0. Defaults to 100 when not passed in.

For more information see the Getting Started Section for Pagination.

  - `Expand` (array)

  - `Filter` (array)

  - `OrderBy` (array)

## Response 200 fields (application/json):

  - `id` (string)
    DimensionID is the unique identifier for the Dimension; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

  - `lastUpdated` (string)
    DateTime when the row was updated in Yellow Dog, in ISO 8601 format

  - `type` (string | null)
    Determines which Dimension type is being used. There are up to 10 user-defined "Types" available.

  - `description` (string | null)
    Description of the Dimension

## Response 500 fields (application/json):

  - `message` (string | null)

  - `errors` (array | null)

  - `errors.message` (string | null)

  - `errors.extensions` (string | null)

